Package: groovy.org.codenarc.rule.naming

## [Groovy] Class ParameterNameAstVisitor

- groovy.org.codenarc.rule.naming.ParameterNameAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression)`
    `` | `void` | `visitConstructor(org.codehaus.groovy.ast.ConstructorNode constructorNode)`
    `` | `void` | `visitMethodEx(org.codehaus.groovy.ast.MethodNode methodNode)`

- - ### Method Detail

    - #### void visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression)

    - #### @Override void visitConstructor(org.codehaus.groovy.ast.ConstructorNode constructorNode)

    - #### void visitMethodEx(org.codehaus.groovy.ast.MethodNode methodNode)